View Issue Details

IDProjectCategoryView StatusLast Update
0009534mantisbtfeaturepublic2020-03-15 15:23
Reporterziohausam Assigned Tocproensa  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.1.1 
Target Version2.24.0Fixed in Version2.24.0 
Summary0009534: Limit reporter's access to their own issues
Description

Limit reporter's access to their own issues works on ALL projects. it will be good if a new feature is added to set this option per project

TagsNo tags attached.

Relationships

has duplicate 0016979 closedatrol limit_reporters should have the ability to be set per-project. 

Activities

luisel

luisel

2013-02-02 05:00

reporter   ~0035012

This would be a very nice feature... is this possible in version 1.2.x?

atrol

atrol

2013-02-02 12:48

developer   ~0035013

Use page Manage > Manage Configuration >Workflow Thresholds
Search for row "Limit reporter's access to their own issues"
All options are displayed/set for the currently selected project in the project drop-down list.

luisel

luisel

2013-02-02 13:10

reporter   ~0035014

Yes, true, it's listed, but in my instance,
it's not modifiable, if I choose a particular project,
I cannot see a modifiable check-box but only a green check icon (displayed).
thanks.
What could be?

atrol

atrol

2013-02-02 14:38

developer   ~0035015

You are right,
this works only for "All Projects" at the moment.

badfiles

badfiles

2014-02-16 16:10

reporter   ~0039422

might it be that simple?
https://github.com/badfiles/mantisbt/commit/facc3c4bfc8b9afbbf7dfebe7c55a24ffb8fd156

atrol

atrol

2014-02-16 16:49

developer   ~0039423

Maybe there is a good reason to have it the way it is, as
a) there was a clear decision of the developer to introduce the parameter $p_all_projects_only and to set it to true
b) it is also mentioned in documentation that the setting is for all projects.

http://www.mantisbt.org/docs/master-1.2.x/en/administration_guide.html#ADMIN.PAGES.MANAGE.CONFIG

atrol

atrol

2014-02-16 16:50

developer   ~0039424

Reminder sent to: thraxisp

Maybe you remember?
https://github.com/mantisbt/mantisbt/commit/99de846a744b2921b20b892562b657613e0ebee8#diff-f2859ab76a306b24755270b88b4d1204R114

denizm

denizm

2016-10-18 09:30

reporter   ~0054262

Is there any update about change per project this feature?

cproensa

cproensa

2017-08-21 05:36

developer   ~0057519

might it be that simple?

no... there must be analyzed all usages of this option and make proper changes to ensure the option is evaluated on a project level. This can complicate some apis (eg, filtering). that deals with multiproject operations.

Related Changesets

MantisBT: master cfd90a97

2017-10-30 18:53:16

cproensa

Details Diff
Enable limit_reporters options at project/user level

Fixes: 0009534
Affected Issues
0009534
mod - bug_update_page.php Diff File
mod - changelog_page.php Diff File
mod - core/access_api.php Diff File
mod - core/classes/BugFilterQuery.class.php Diff File
mod - core/filter_form_api.php Diff File
mod - manage_config_work_threshold_page.php Diff File
mod - manage_config_work_threshold_set.php Diff File
mod - roadmap_page.php Diff File

Issue History

Date Modified Username Field Change
2008-08-13 11:03 ziohausam New Issue
2013-02-02 05:00 luisel Note Added: 0035012
2013-02-02 12:48 atrol Note Added: 0035013
2013-02-02 12:48 atrol Status new => resolved
2013-02-02 12:48 atrol Resolution open => fixed
2013-02-02 12:48 atrol Assigned To => atrol
2013-02-02 13:10 luisel Note Added: 0035014
2013-02-02 14:38 atrol Note Added: 0035015
2013-02-02 14:38 atrol Status resolved => confirmed
2013-02-02 14:38 atrol Resolution fixed => open
2013-02-02 14:39 atrol Assigned To atrol =>
2014-02-16 08:59 atrol Relationship added has duplicate 0016979
2014-02-16 16:10 badfiles Note Added: 0039422
2014-02-16 16:49 atrol Note Added: 0039423
2014-02-16 16:50 atrol Note Added: 0039424
2016-10-18 09:30 denizm Note Added: 0054262
2017-08-21 05:36 cproensa Note Added: 0057519
2020-02-05 09:01 cproensa Changeset attached => MantisBT master cfd90a97
2020-02-05 09:01 cproensa Assigned To => cproensa
2020-02-05 09:01 cproensa Status confirmed => resolved
2020-02-05 09:01 cproensa Resolution open => fixed
2020-02-05 09:01 cproensa Fixed in Version => 2.24.0
2020-02-09 06:56 atrol Target Version => 2.24.0
2020-03-15 15:23 vboctor Status resolved => closed